HTML Tidy 0.1

Functions
Document Parse

## Functions
int TIDY_CALL | tidyParseFile (TidyDoc tdoc, ctmbstr filename)
int TIDY_CALL | tidyParseStdin (TidyDoc tdoc)
int TIDY_CALL | tidyParseString (TidyDoc tdoc, ctmbstr content)
int TIDY_CALL | tidyParseBuffer (TidyDoc tdoc, TidyBuffer *buf)
int TIDY_CALL | tidyParseSource (TidyDoc tdoc, TidyInputSource *source)

## Detailed Description

Parse markup from a given input source. String and filename functions added for convenience. HTML/XHTML version determined from input.

## Function Documentation

int TIDY_CALL tidyParseFile | ( | TidyDoc | tdoc,
|  | ctmbstr | filename
| ) |  |

Parse markup in named file

int TIDY_CALL tidyParseStdin | ( | TidyDoc | tdoc | ) |

Parse markup from the standard input

int TIDY_CALL tidyParseString | ( | TidyDoc | tdoc,
|  | ctmbstr | content
| ) |  |

Parse markup in given string

int TIDY_CALL tidyParseBuffer | ( | TidyDoc | tdoc,
|  | TidyBuffer * | buf
| ) |  |

Parse markup in given buffer

int TIDY_CALL tidyParseSource | ( | TidyDoc | tdoc,
|  | TidyInputSource * | source
| ) |  |

Parse markup in given generic input source